/*
 * ARM Limited (ARM) is supplying this software for use with Cortex-M
 * processor based microcontroller, but can be equally used for other
 * suitable processor architectures. This file can be freely distributed.
 * Modifications to this file shall be clearly marked.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * @file     CMS32MEBIKE.h
 * @brief    CMSIS HeaderFile
 * @version  1.2
 * @date     23. March 2020
 * @note     Generated by SVDConv V3.3.21 on Monday, 23.03.2020 19:47:41
 *           from File 'CMS32MEBIKE.svd',
 *           last modified on Monday, 23.03.2020 11:47:37
 */



/** @addtogroup CMS Ltd.
  * @{
  */


/** @addtogroup CMS32MEBIKE
  * @{
  */


#ifndef CMS32MEBIKE_H
#define CMS32MEBIKE_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M0 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* =========================================  CMS32MEBIKE Specific Interrupt Numbers  ========================================== */
  GPIO0_IRQn                =   0,              /*!< 0  P0[7:0] IRQ                                                            */
  GPIO1_IRQn                =   1,              /*!< 1  P1[7:0] IRQ                                                            */
  GPIO2_IRQn                =   2,              /*!< 2  P2[7:0] IRQ                                                            */
  GPIO3_IRQn                =   3,              /*!< 3  P3[7:0] IRQ                                                            */
  GPIO4_IRQn                =   4,              /*!< 4  P4[7:0] IRQ                                                            */
  GPIO5_IRQn                =   5,              /*!< 5  P5[5:0] IRQ                                                            */
  CCP_IRQn                  =   6,              /*!< 6  CCP IRQ                                                                */
  ADC0_IRQn                 =   7,              /*!< 7  ADC0 IRQ                                                               */
  WWDT_IRQn                 =   9,              /*!< 9  WWDT IRQ                                                               */
  EPWM_IRQn                 =  10,              /*!< 10 EPWM IRQ                                                               */
  ADCB_IRQn                 =  12,              /*!< 12 ADCB IRQ                                                               */
  ACMP_IRQn                 =  13,              /*!< 13 ACMP IRQ                                                               */
  UART0_IRQn                =  15,              /*!< 15 UART0 IRQ                                                              */
  UART1_IRQn                =  16,              /*!< 16 UART1 IRQ                                                              */
  TIMER0_IRQn               =  19,              /*!< 19 Timer0 IRQ                                                             */
  TIMER1_IRQn               =  20,              /*!< 20 Timer1IRQ                                                              */
  TIMER2_IRQn               =  21,              /*!< 21 Timer2 IRQ                                                             */
  TIMER3_IRQn               =  22,              /*!< 22 Timer3 IRQ                                                             */
  WDT_IRQn                  =  23,              /*!< 23 WDT IRQ                                                                */
  IIC0_IRQn                 =  24,              /*!< 24 I2C0 IRQ                                                               */
  SSP0_IRQn                 =  26,              /*!< 26 SSP0 IRQ                                                               */
  SYS_CHK_IRQn              =  31               /*!< 31 SYS_CHK IRQ                                                            */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M0 Processor and Core Peripherals  =========================== */
#define __CM0_REV                 0x0100U       /*!< CM0 Core Revision                                                         */
#define __NVIC_PRIO_BITS               3        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         0        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  1        /*!< MPU present or not                                                        */
#define __FPU_PRESENT                  0        /*!< FPU present or not                                                        */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                           /*!< ARM Cortex-M0 processor and core peripherals                              */
#include "system_CMS32MEBIKE.h"                   /*!< CMS32MEBIKE System                                                          */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                          SYSCON                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief SYSCON Decription (SYSCON)
  */

typedef struct {                                /*!< (@ 0x50000000) SYSCON Structure                                           */
  __IM  uint32_t  DID;                          /*!< (@ 0x00000000) DID Description                                            */
  __IOM uint32_t  AHBCKDIV;                     /*!< (@ 0x00000004) AHBCKDIV Description                                       */
  __IOM uint32_t  APBCKDIV;                     /*!< (@ 0x00000008) APBCKDIV Description                                       */
  __IOM uint32_t  APBCKEN;                      /*!< (@ 0x0000000C) APBCKEN Description                                        */
  __IOM uint32_t  CLKODIV;                      /*!< (@ 0x00000010) CLKODIV Description                                        */
  __IOM uint32_t  PCON;                         /*!< (@ 0x00000014) PCON Description                                           */
  __OM  uint32_t  RSTCON;                       /*!< (@ 0x00000018) RSTCON Description                                         */
  __IOM uint32_t  RSTSTAT;                      /*!< (@ 0x0000001C) RSTSTAT Description                                        */
  __IOM uint32_t  CLKCON;                       /*!< (@ 0x00000020) CLKCON Description                                         */
  __IOM uint32_t  CLKSEL;                       /*!< (@ 0x00000024) CLKSEL Description                                         */
  __IM  uint32_t  CLKSTAT;                      /*!< (@ 0x00000028) CLKSTAT Description                                        */
  __IOM uint32_t  APBCKSEL;                     /*!< (@ 0x0000002C) APBCKSEL Description                                       */
  __IM  uint32_t  IOMUX;                        /*!< (@ 0x00000030) IOMUX Description                                          */
  __IM  uint32_t  CIDL;                         /*!< (@ 0x00000034) CIDL Description                                           */
  __IM  uint32_t  CIDH;                         /*!< (@ 0x00000038) CIDH Description                                           */
  __IOM uint32_t  LVDCON;                       /*!< (@ 0x0000003C) LVDCON Description                                         */
  __IOM uint32_t  IOP00CFG;                     /*!< (@ 0x00000040) IOP00CFG Description                                       */
  __IOM uint32_t  IOP01CFG;                     /*!< (@ 0x00000044) IOP01CFG Description                                       */
  __IOM uint32_t  IOP02CFG;                     /*!< (@ 0x00000048) IOP02CFG Description                                       */
  __IOM uint32_t  IOP03CFG;                     /*!< (@ 0x0000004C) IOP03CFG Description                                       */
  __IOM uint32_t  IOP04CFG;                     /*!< (@ 0x00000050) IOP04CFG Description                                       */
  __IOM uint32_t  IOP05CFG;                     /*!< (@ 0x00000054) IOP05CFG Description                                       */
  __IOM uint32_t  IOP06CFG;                     /*!< (@ 0x00000058) IOP06CFG Description                                       */
  __IOM uint32_t  IOP07CFG;                     /*!< (@ 0x0000005C) IOP07CFG Description                                       */
  __IOM uint32_t  IOP10CFG;                     /*!< (@ 0x00000060) IOP10CFG Description                                       */
  __IOM uint32_t  IOP11CFG;                     /*!< (@ 0x00000064) IOP11CFG Description                                       */
  __IOM uint32_t  IOP12CFG;                     /*!< (@ 0x00000068) IOP12CFG Description                                       */
  __IOM uint32_t  IOP13CFG;                     /*!< (@ 0x0000006C) IOP13CFG Description                                       */
  __IOM uint32_t  IOP14CFG;                     /*!< (@ 0x00000070) IOP14CFG Description                                       */
  __IOM uint32_t  IOP15CFG;                     /*!< (@ 0x00000074) IOP15CFG Description                                       */
  __IOM uint32_t  IOP16CFG;                     /*!< (@ 0x00000078) IOP16CFG Description                                       */
  __IOM uint32_t  IOP17CFG;                     /*!< (@ 0x0000007C) IOP17CFG Description                                       */
  __IOM uint32_t  IOP20CFG;                     /*!< (@ 0x00000080) IOP20CFG Description                                       */
  __IOM uint32_t  IOP21CFG;                     /*!< (@ 0x00000084) IOP21CFG Description                                       */
  __IOM uint32_t  IOP22CFG;                     /*!< (@ 0x00000088) IOP22CFG Description                                       */
  __IOM uint32_t  IOP23CFG;                     /*!< (@ 0x0000008C) IOP23CFG Description                                       */
  __IOM uint32_t  IOP24CFG;                     /*!< (@ 0x00000090) IOP24CFG Description                                       */
  __IOM uint32_t  IOP25CFG;                     /*!< (@ 0x00000094) IOP25CFG Description                                       */
  __IOM uint32_t  IOP26CFG;                     /*!< (@ 0x00000098) IOP26CFG Description                                       */
  __IOM uint32_t  IOP27CFG;                     /*!< (@ 0x0000009C) IOP27CFG Description                                       */
  __IOM uint32_t  IOP30CFG;                     /*!< (@ 0x000000A0) IOP30CFG Description                                       */
  __IOM uint32_t  IOP31CFG;                     /*!< (@ 0x000000A4) IOP31CFG Description                                       */
  __IOM uint32_t  IOP32CFG;                     /*!< (@ 0x000000A8) IOP32CFG Description                                       */
  __IOM uint32_t  IOP33CFG;                     /*!< (@ 0x000000AC) IOP33CFG Description                                       */
  __IOM uint32_t  IOP34CFG;                     /*!< (@ 0x000000B0) IOP34CFG Description                                       */
  __IOM uint32_t  IOP35CFG;                     /*!< (@ 0x000000B4) IOP35CFG Description                                       */
  __IOM uint32_t  IOP36CFG;                     /*!< (@ 0x000000B8) IOP36CFG Description                                       */
  __IOM uint32_t  IOP37CFG;                     /*!< (@ 0x000000BC) IOP37CFG Description                                       */
  __IOM uint32_t  IOP40CFG;                     /*!< (@ 0x000000C0) IOP40CFG Description                                       */
  __IOM uint32_t  IOP41CFG;                     /*!< (@ 0x000000C4) IOP41CFG Description                                       */
  __IOM uint32_t  IOP42CFG;                     /*!< (@ 0x000000C8) IOP42CFG Description                                       */
  __IOM uint32_t  IOP43CFG;                     /*!< (@ 0x000000CC) IOP43CFG Description                                       */
  __IOM uint32_t  IOP44CFG;                     /*!< (@ 0x000000D0) IOP44CFG Description                                       */
  __IOM uint32_t  IOP45CFG;                     /*!< (@ 0x000000D4) IOP45CFG Description                                       */
  __IOM uint32_t  IOP46CFG;                     /*!< (@ 0x000000D8) IOP46CFG Description                                       */
  __IOM uint32_t  IOP47CFG;                     /*!< (@ 0x000000DC) IOP47CFG Description                                       */
  __IOM uint32_t  IOP50CFG;                     /*!< (@ 0x000000E0) IOP50CFG Description                                       */
  __IOM uint32_t  IOP51CFG;                     /*!< (@ 0x000000E4) IOP51CFG Description                                       */
  __IOM uint32_t  IOP52CFG;                     /*!< (@ 0x000000E8) IOP52CFG Description                                       */
  __IOM uint32_t  IOP53CFG;                     /*!< (@ 0x000000EC) IOP53CFG Description                                       */
  __IOM uint32_t  IOP54CFG;                     /*!< (@ 0x000000F0) IOP54CFG Description                                       */
  __IOM uint32_t  IOP55CFG;                     /*!< (@ 0x000000F4) IOP55CFG Description                                       */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  SYS_IMSC;                     /*!< (@ 0x00000100) SYS_IMSC Description                                       */
  __IM  uint32_t  SYS_RIS;                      /*!< (@ 0x00000104) SYS_RIS Description                                        */
  __IM  uint32_t  SYS_MIS;                      /*!< (@ 0x00000108) SYS_MIS Description                                        */
  __OM  uint32_t  SYS_ICLR;                     /*!< (@ 0x0000010C) SYS_ICLR Description                                       */
  __IOM uint32_t  HSI_TRIM;                     /*!< (@ 0x00000110) HSI_TRIM Description                                       */
  __IM  uint32_t  RESERVED1[39];
  __IOM uint32_t  SRAMLOCK;                     /*!< (@ 0x000001B0) SRAMLOCK Description                                       */
  __IM  uint32_t  RESERVED2[3];
  __IOM uint32_t  GPIO0LOCK;                    /*!< (@ 0x000001C0) GPIO0LOCK Description                                      */
  __IOM uint32_t  GPIO1LOCK;                    /*!< (@ 0x000001C4) GPIO1LOCK Description                                      */
  __IOM uint32_t  GPIO2LOCK;                    /*!< (@ 0x000001C8) GPIO2LOCK Description                                      */
  __IOM uint32_t  GPIO3LOCK;                    /*!< (@ 0x000001CC) GPIO3LOCK Description                                      */
  __IOM uint32_t  GPIO4LOCK;                    /*!< (@ 0x000001D0) GPIO4LOCK Description                                      */
  __IOM uint32_t  GPIO5LOCK;                    /*!< (@ 0x000001D4) GPIO5LOCK Description                                      */
  __IM  uint32_t  RESERVED3[9];
  __IOM uint32_t  IOCFGLOCK;                    /*!< (@ 0x000001FC) IOCFGLOCK Description                                      */
  __IM  uint32_t  RESERVED4[192];
  __IM  uint32_t  UIDX;                         /*!< (@ 0x00000500) UIDX Description                                           */
  __IM  uint32_t  RESERVED5[3];
  __IM  uint32_t  PCRCD;                        /*!< (@ 0x00000510) PCRCD Description                                          */
  __IM  uint32_t  RESERVED6[3];
  __IOM uint32_t  UUIDWC0;                      /*!< (@ 0x00000520) UUIDWC0 Description                                        */
  __IOM uint32_t  UUIDWC1;                      /*!< (@ 0x00000524) UUIDWC1 Description                                        */
  __IOM uint32_t  UUIDWC2;                      /*!< (@ 0x00000528) UUIDWC2 Description                                        */
  __IOM uint32_t  UUIDWCS;                      /*!< (@ 0x0000052C) UUIDWCS Description                                        */
} SYSCON_Type;                                  /*!< Size = 1328 (0x530)                                                       */



/* =========================================================================================================================== */
/* ================                                           GPIO0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIO0 Decription (GPIO0)
  */

typedef struct {                                /*!< (@ 0x52000000) GPIO0 Structure                                            */
  __IOM uint32_t  PMS;                          /*!< (@ 0x00000000) PMS Description                                            */
  __IOM uint32_t  DOM;                          /*!< (@ 0x00000004) DOM Description                                            */
  __IOM uint32_t  DO;                           /*!< (@ 0x00000008) DO Description                                             */
  __IM  uint32_t  DI;                           /*!< (@ 0x0000000C) DI Description                                             */
  __IOM uint32_t  IMSC;                         /*!< (@ 0x00000010) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x00000014) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000018) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x0000001C) ICLR Description                                           */
  __IOM uint32_t  ITYPE;                        /*!< (@ 0x00000020) ITYPE Description                                          */
  __IOM uint32_t  IVAL;                         /*!< (@ 0x00000024) IVAL Description                                           */
  __IOM uint32_t  IANY;                         /*!< (@ 0x00000028) IANY Description                                           */
  __IOM uint32_t  DIDB;                         /*!< (@ 0x0000002C) DIDB Description                                           */
  __OM  uint32_t  DOSET;                        /*!< (@ 0x00000030) DOSET Description                                          */
  __OM  uint32_t  DOCLR;                        /*!< (@ 0x00000034) DOCLR Description                                          */
  __IOM uint32_t  DR;                           /*!< (@ 0x00000038) DR Description                                             */
  __IOM uint32_t  SR;                           /*!< (@ 0x0000003C) SR Description                                             */
} GPIO0_Type;                                   /*!< Size = 64 (0x40)                                                          */



/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief WDT Decription (WDT)
  */

typedef struct {                                /*!< (@ 0x47800000) WDT Structure                                              */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  LOAD;                         /*!< (@ 0x00000004) LOAD Description                                           */
  __IM  uint32_t  VAL;                          /*!< (@ 0x00000008) VAL Description                                            */
  __IM  uint32_t  RIS;                          /*!< (@ 0x0000000C) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000010) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000014) ICLR Description                                           */
  __IM  uint32_t  RESERVED[314];
  __IOM uint32_t  LOCK;                         /*!< (@ 0x00000500) LOCK Description                                           */
} WDT_Type;                                     /*!< Size = 1284 (0x504)                                                       */



/* =========================================================================================================================== */
/* ================                                           WWDT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief WWDT Decription (WWDT)
  */

typedef struct {                                /*!< (@ 0x41800000) WWDT Structure                                             */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __OM  uint32_t  RL;                           /*!< (@ 0x00000004) RL Description                                             */
  __IM  uint32_t  VAL;                          /*!< (@ 0x00000008) VAL Description                                            */
  __IM  uint32_t  RIS;                          /*!< (@ 0x0000000C) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000010) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000014) ICLR Description                                           */
} WWDT_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CRC Decription (CRC)
  */

typedef struct {                                /*!< (@ 0x4A000000) CRC Structure                                              */
  __IOM uint32_t  CRCIN;                        /*!< (@ 0x00000000) CRCIN Description                                          */
  __IOM uint32_t  CRCD;                         /*!< (@ 0x00000004) CRCD Description                                           */
} CRC_Type;                                     /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                           HWDIV                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief HWDIV Decription (HWDIV)
  */

typedef struct {                                /*!< (@ 0x55000000) HWDIV Structure                                            */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  DIVD;                         /*!< (@ 0x00000004) DIVD Description                                           */
  __IOM uint32_t  DIVS;                         /*!< (@ 0x00000008) DIVS Description                                           */
  __IM  uint32_t  DIVQ;                         /*!< (@ 0x0000000C) DIVQ Description                                           */
  __IM  uint32_t  DIVR;                         /*!< (@ 0x00000010) DIVR Description                                           */
} HWDIV_Type;                                   /*!< Size = 20 (0x14)                                                          */



/* =========================================================================================================================== */
/* ================                                          TIMER0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief TIMER0 Decription (TIMER0)
  */

typedef struct {                                /*!< (@ 0x46800000) TIMER0 Structure                                           */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  LOAD;                         /*!< (@ 0x00000004) LOAD Description                                           */
  __IM  uint32_t  VAL;                          /*!< (@ 0x00000008) VAL Description                                            */
  __IM  uint32_t  RIS;                          /*!< (@ 0x0000000C) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000010) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000014) ICLR Description                                           */
  __IOM uint32_t  BGLOAD;                       /*!< (@ 0x00000018) BGLOAD Description                                         */
} TIMER0_Type;                                  /*!< Size = 28 (0x1c)                                                          */



/* =========================================================================================================================== */
/* ================                                            CCP                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CCP Decription (CCP)
  */

typedef struct {                                /*!< (@ 0x42800000) CCP Structure                                              */
  __IOM uint32_t  CCPCON0;                      /*!< (@ 0x00000000) CCPCON0 Description                                        */
  __IOM uint32_t  CCPLOAD0;                     /*!< (@ 0x00000004) CCPLOAD0 Description                                       */
  __IOM uint32_t  CCPD0A;                       /*!< (@ 0x00000008) CCPD0A Description                                         */
  __IOM uint32_t  CCPD0B;                       /*!< (@ 0x0000000C) CCPD0B Description                                         */
  __IOM uint32_t  CCPCON1;                      /*!< (@ 0x00000010) CCPCON1 Description                                        */
  __IOM uint32_t  CCPLOAD1;                     /*!< (@ 0x00000014) CCPLOAD1 Description                                       */
  __IOM uint32_t  CCPD1A;                       /*!< (@ 0x00000018) CCPD1A Description                                         */
  __IOM uint32_t  CCPD1B;                       /*!< (@ 0x0000001C) CCPD1B Description                                         */
  __IM  uint32_t  RESERVED[8];
  __IOM uint32_t  CCPIMSC;                      /*!< (@ 0x00000040) CCPIMSC Description                                        */
  __IM  uint32_t  CCPRIS;                       /*!< (@ 0x00000044) CCPRIS Description                                         */
  __IM  uint32_t  CCPMIS;                       /*!< (@ 0x00000048) CCPMIS Description                                         */
  __OM  uint32_t  CCPICLR;                      /*!< (@ 0x0000004C) CCPICLR Description                                        */
  __IOM uint32_t  CCPRUN;                       /*!< (@ 0x00000050) CCPRUN Description                                         */
  __IOM uint32_t  CCPLOCK;                      /*!< (@ 0x00000054) CCPLOCK Description                                        */
  __IOM uint32_t  CAPCON;                       /*!< (@ 0x00000058) CAPCON Description                                         */
  __IOM uint32_t  CAPCHS;                       /*!< (@ 0x0000005C) CAPCHS Description                                         */
  __IOM uint32_t  CAP0DAT0;                     /*!< (@ 0x00000060) CAP0DAT0 Description                                       */
  __IOM uint32_t  CAP1DAT0;                     /*!< (@ 0x00000064) CAP1DAT0 Description                                       */
  __IOM uint32_t  CAP2DAT0;                     /*!< (@ 0x00000068) CAP2DAT0 Description                                       */
  __IOM uint32_t  CAP3DAT0;                     /*!< (@ 0x0000006C) CAP3DAT0 Description                                       */
} CCP_Type;                                     /*!< Size = 112 (0x70)                                                         */



/* =========================================================================================================================== */
/* ================                                           EPWM                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief EPWM Decription (EPWM)
  */

typedef struct {                                /*!< (@ 0x4A800000) EPWM Structure                                             */
  __IOM uint32_t  CLKPSC;                       /*!< (@ 0x00000000) CLKPSC Description                                         */
  __IOM uint32_t  CLKDIV;                       /*!< (@ 0x00000004) CLKDIV Description                                         */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000008) CON Description                                            */
  __IOM uint32_t  CON2;                         /*!< (@ 0x0000000C) CON2 Description                                           */
  __IOM uint32_t  CON3;                         /*!< (@ 0x00000010) CON3 Description                                           */
  __IOM uint32_t  PERIOD0;                      /*!< (@ 0x00000014) PERIOD0 Description                                        */
  __IOM uint32_t  PERIOD1;                      /*!< (@ 0x00000018) PERIOD1 Description                                        */
  __IOM uint32_t  PERIOD2;                      /*!< (@ 0x0000001C) PERIOD2 Description                                        */
  __IOM uint32_t  PERIOD3;                      /*!< (@ 0x00000020) PERIOD3 Description                                        */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  CMPDAT0;                      /*!< (@ 0x0000002C) CMPDAT0 Description                                        */
  __IOM uint32_t  CMPDAT1;                      /*!< (@ 0x00000030) CMPDAT1 Description                                        */
  __IOM uint32_t  CMPDAT2;                      /*!< (@ 0x00000034) CMPDAT2 Description                                        */
  __IOM uint32_t  CMPDAT3;                      /*!< (@ 0x00000038) CMPDAT3 Description                                        */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  POREMAP;                      /*!< (@ 0x00000044) POREMAP Description                                        */
  __IOM uint32_t  POEN;                         /*!< (@ 0x00000048) POEN Description                                           */
  __IOM uint32_t  BRKCTL;                       /*!< (@ 0x0000004C) BRKCTL Description                                         */
  __IOM uint32_t  DTCTL;                        /*!< (@ 0x00000050) DTCTL Description                                          */
  __IOM uint32_t  MASK;                         /*!< (@ 0x00000054) MASK Description                                           */
  __IOM uint32_t  MASKNXT;                      /*!< (@ 0x00000058) MASKNXT Description                                        */
  __IOM uint32_t  CMPTGD0;                      /*!< (@ 0x0000005C) CMPTGD0 Description                                        */
  __IOM uint32_t  CMPTGD1;                      /*!< (@ 0x00000060) CMPTGD1 Description                                        */
  __IOM uint32_t  IMSC;                         /*!< (@ 0x00000064) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x00000068) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x0000006C) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000070) ICLR Description                                           */
  __IOM uint32_t  IFA;                          /*!< (@ 0x00000074) IFA Description                                            */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x00000078) LOCK Description                                           */
  __IOM uint32_t  BRKRDT;                       /*!< (@ 0x0000007C) BRKRDT Description                                         */
} EPWM_Type;                                    /*!< Size = 128 (0x80)                                                         */



/* =========================================================================================================================== */
/* ================                                           UART0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief UART0 Decription (UART0)
  */

typedef struct {                                /*!< (@ 0x44800000) UART0 Structure                                            */
  __IM  uint32_t  RBR;                          /*!< (@ 0x00000000) RBR Description                                            */
  __OM  uint32_t  THR;                          /*!< (@ 0x00000004) THR Description                                            */
  __IOM uint32_t  DLR;                          /*!< (@ 0x00000008) DLR Description                                            */
  __IOM uint32_t  IER;                          /*!< (@ 0x0000000C) IER Description                                            */
  __IM  uint32_t  IIR;                          /*!< (@ 0x00000010) IIR Description                                            */
  __OM  uint32_t  FCR;                          /*!< (@ 0x00000014) FCR Description                                            */
  __IOM uint32_t  LCR;                          /*!< (@ 0x00000018) LCR Description                                            */
  __IOM uint32_t  MCR;                          /*!< (@ 0x0000001C) MCR Description                                            */
  __IM  uint32_t  LSR;                          /*!< (@ 0x00000020) LSR Description                                            */
  __IM  uint32_t  MSR;                          /*!< (@ 0x00000024) MSR Description                                            */
  __IOM uint32_t  SCR;                          /*!< (@ 0x00000028) SCR Description                                            */
  __IOM uint32_t  EFR;                          /*!< (@ 0x0000002C) EFR Description                                            */
  __IOM uint32_t  XON1;                         /*!< (@ 0x00000030) XON1 Description                                           */
  __IOM uint32_t  XON2;                         /*!< (@ 0x00000034) XON2 Description                                           */
  __IOM uint32_t  XOFF1;                        /*!< (@ 0x00000038) XOFF1 Description                                          */
  __IOM uint32_t  XOFF2;                        /*!< (@ 0x0000003C) XOFF2 Description                                          */
} UART0_Type;                                   /*!< Size = 64 (0x40)                                                          */



/* =========================================================================================================================== */
/* ================                                           IIC0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief IIC0 Decription (IIC0)
  */

typedef struct {                                /*!< (@ 0x48000000) IIC0 Structure                                             */
  __IOM uint32_t  CONSET;                       /*!< (@ 0x00000000) CONSET Description                                         */
  __OM  uint32_t  CONCLR;                       /*!< (@ 0x00000004) CONCLR Description                                         */
  __IM  uint32_t  STAT;                         /*!< (@ 0x00000008) STAT Description                                           */
  __IOM uint32_t  DAT;                          /*!< (@ 0x0000000C) DAT Description                                            */
  __IOM uint32_t  CLK;                          /*!< (@ 0x00000010) CLK Description                                            */
  __IOM uint32_t  ADR0;                         /*!< (@ 0x00000014) ADR0 Description                                           */
  __IOM uint32_t  ADM0;                         /*!< (@ 0x00000018) ADM0 Description                                           */
  __IOM uint32_t  XADR0;                        /*!< (@ 0x0000001C) XADR0 Description                                          */
  __IOM uint32_t  XADM0;                        /*!< (@ 0x00000020) XADM0 Description                                          */
  __OM  uint32_t  RST;                          /*!< (@ 0x00000024) RST Description                                            */
  __IOM uint32_t  ADR1;                         /*!< (@ 0x00000028) ADR1 Description                                           */
  __IOM uint32_t  ADM1;                         /*!< (@ 0x0000002C) ADM1 Description                                           */
  __IOM uint32_t  ADR2;                         /*!< (@ 0x00000030) ADR2 Description                                           */
  __IOM uint32_t  ADM2;                         /*!< (@ 0x00000034) ADM2 Description                                           */
  __IOM uint32_t  ADR3;                         /*!< (@ 0x00000038) ADR3 Description                                           */
  __IOM uint32_t  ADM3;                         /*!< (@ 0x0000003C) ADM3 Description                                           */
} IIC0_Type;                                    /*!< Size = 64 (0x40)                                                          */



/* =========================================================================================================================== */
/* ================                                           SSP0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief SSP0 Decription (SSP0)
  */

typedef struct {                                /*!< (@ 0x43800000) SSP0 Structure                                             */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IM  uint32_t  STAT;                         /*!< (@ 0x00000004) STAT Description                                           */
  __IOM uint32_t  DAT;                          /*!< (@ 0x00000008) DAT Description                                            */
  __IOM uint32_t  CLK;                          /*!< (@ 0x0000000C) CLK Description                                            */
  __IOM uint32_t  IMSC;                         /*!< (@ 0x00000010) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x00000014) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000018) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x0000001C) ICLR Description                                           */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  CSCR;                         /*!< (@ 0x00000028) CSCR Description                                           */
} SSP0_Type;                                    /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           ADC0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief ADC0 Decription (ADC0)
  */

typedef struct {                                /*!< (@ 0x43000000) ADC0 Structure                                             */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  CON2;                         /*!< (@ 0x00000004) CON2 Description                                           */
  __IOM uint32_t  HWTG;                         /*!< (@ 0x00000008) HWTG Description                                           */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCAN;                         /*!< (@ 0x00000010) SCAN Description                                           */
  __IOM uint32_t  CMP0;                         /*!< (@ 0x00000014) CMP0 Description                                           */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  IMSC;                         /*!< (@ 0x0000001C) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x00000020) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000024) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000028) ICLR Description                                           */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x0000002C) LOCK Description                                           */
  __IM  uint32_t  RESERVED2[20];
  __IM  uint32_t  DATA0;                        /*!< (@ 0x00000080) DATA0 Description                                          */
  __IM  uint32_t  DATA1;                        /*!< (@ 0x00000084) DATA1 Description                                          */
  __IM  uint32_t  DATA2;                        /*!< (@ 0x00000088) DATA2 Description                                          */
  __IM  uint32_t  DATA3;                        /*!< (@ 0x0000008C) DATA3 Description                                          */
  __IM  uint32_t  DATA4;                        /*!< (@ 0x00000090) DATA4 Description                                          */
  __IM  uint32_t  DATA5;                        /*!< (@ 0x00000094) DATA5 Description                                          */
  __IM  uint32_t  DATA6;                        /*!< (@ 0x00000098) DATA6 Description                                          */
  __IM  uint32_t  DATA7;                        /*!< (@ 0x0000009C) DATA7 Description                                          */
  __IM  uint32_t  DATA8;                        /*!< (@ 0x000000A0) DATA8 Description                                          */
  __IM  uint32_t  DATA9;                        /*!< (@ 0x000000A4) DATA9 Description                                          */
  __IM  uint32_t  DATA10;                       /*!< (@ 0x000000A8) DATA10 Description                                         */
  __IM  uint32_t  DATA11;                       /*!< (@ 0x000000AC) DATA11 Description                                         */
  __IM  uint32_t  DATA12;                       /*!< (@ 0x000000B0) DATA12 Description                                         */
  __IM  uint32_t  DATA13;                       /*!< (@ 0x000000B4) DATA13 Description                                         */
  __IM  uint32_t  DATA14;                       /*!< (@ 0x000000B8) DATA14 Description                                         */
  __IM  uint32_t  DATA15;                       /*!< (@ 0x000000BC) DATA15 Description                                         */
  __IM  uint32_t  DATA16;                       /*!< (@ 0x000000C0) DATA16 Description                                         */
  __IM  uint32_t  DATA17;                       /*!< (@ 0x000000C4) DATA17 Description                                         */
  __IM  uint32_t  DATA18;                       /*!< (@ 0x000000C8) DATA18 Description                                         */
  __IM  uint32_t  DATA19;                       /*!< (@ 0x000000CC) DATA19 Description                                         */
} ADC0_Type;                                    /*!< Size = 208 (0xd0)                                                         */



/* =========================================================================================================================== */
/* ================                                           ADCB                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief ADCB Decription (ADCB)
  */

typedef struct {                                /*!< (@ 0x4D800000) ADCB Structure                                             */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  CON2;                         /*!< (@ 0x00000004) CON2 Description                                           */
  __IOM uint32_t  HWTG;                         /*!< (@ 0x00000008) HWTG Description                                           */
  __IOM uint32_t  PWMTGDLY;                     /*!< (@ 0x0000000C) PWMTGDLY Description                                       */
  __IOM uint32_t  SCAN;                         /*!< (@ 0x00000010) SCAN Description                                           */
  __IOM uint32_t  CMP0;                         /*!< (@ 0x00000014) CMP0 Description                                           */
  __IOM uint32_t  CMP1;                         /*!< (@ 0x00000018) CMP1 Description                                           */
  __IOM uint32_t  IMSC;                         /*!< (@ 0x0000001C) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x00000020) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000024) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000028) ICLR Description                                           */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x0000002C) LOCK Description                                           */
  __IOM uint32_t  CHEPWM;                       /*!< (@ 0x00000030) CHEPWM Description                                         */
  __IOM uint32_t  CHPTG0;                       /*!< (@ 0x00000034) CHPTG0 Description                                         */
  __IOM uint32_t  CHPTG1;                       /*!< (@ 0x00000038) CHPTG1 Description                                         */
  __IM  uint32_t  RESERVED[3];
  __IOM uint32_t  TEST;                         /*!< (@ 0x00000048) TEST Description                                           */
  __IM  uint32_t  RESERVED1[13];
  __IM  uint32_t  DATA0;                        /*!< (@ 0x00000080) DATA0 Description                                          */
  __IM  uint32_t  DATA1;                        /*!< (@ 0x00000084) DATA1 Description                                          */
  __IM  uint32_t  DATA2;                        /*!< (@ 0x00000088) DATA2 Description                                          */
  __IM  uint32_t  DATA3;                        /*!< (@ 0x0000008C) DATA3 Description                                          */
  __IM  uint32_t  DATA4;                        /*!< (@ 0x00000090) DATA4 Description                                          */
  __IM  uint32_t  DATA5;                        /*!< (@ 0x00000094) DATA5 Description                                          */
  __IM  uint32_t  DATA6;                        /*!< (@ 0x00000098) DATA6 Description                                          */
  __IM  uint32_t  DATA7;                        /*!< (@ 0x0000009C) DATA7 Description                                          */
  __IM  uint32_t  DATA8;                        /*!< (@ 0x000000A0) DATA8 Description                                          */
  __IM  uint32_t  DATA9;                        /*!< (@ 0x000000A4) DATA9 Description                                          */
  __IM  uint32_t  DATA10;                       /*!< (@ 0x000000A8) DATA10 Description                                         */
  __IM  uint32_t  DATA11;                       /*!< (@ 0x000000AC) DATA11 Description                                         */
  __IM  uint32_t  DATA12;                       /*!< (@ 0x000000B0) DATA12 Description                                         */
  __IM  uint32_t  DATA13;                       /*!< (@ 0x000000B4) DATA13 Description                                         */
  __IM  uint32_t  DATA14;                       /*!< (@ 0x000000B8) DATA14 Description                                         */
  __IM  uint32_t  DATA15;                       /*!< (@ 0x000000BC) DATA15 Description                                         */
  __IM  uint32_t  DATA16;                       /*!< (@ 0x000000C0) DATA16 Description                                         */
  __IM  uint32_t  DATA17;                       /*!< (@ 0x000000C4) DATA17 Description                                         */
  __IM  uint32_t  DATA18;                       /*!< (@ 0x000000C8) DATA18 Description                                         */
  __IM  uint32_t  DATA19;                       /*!< (@ 0x000000CC) DATA19 Description                                         */
} ADCB_Type;                                    /*!< Size = 208 (0xd0)                                                         */



/* =========================================================================================================================== */
/* ================                                            OP0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief OP0 Decription (OP0)
  */

typedef struct {                                /*!< (@ 0x4C800000) OP0 Structure                                              */
  __IOM uint32_t  CON0;                         /*!< (@ 0x00000000) CON0 Description                                           */
  __IOM uint32_t  CON1;                         /*!< (@ 0x00000004) CON1 Description                                           */
  __IOM uint32_t  ADJE;                         /*!< (@ 0x00000008) ADJE Description                                           */
} OP0_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                           PGA0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief PGA0 Decription (PGA0)
  */

typedef struct {                                /*!< (@ 0x4C800018) PGA0 Structure                                             */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
} PGA0_Type;                                    /*!< Size = 4 (0x4)                                                            */



/* =========================================================================================================================== */
/* ================                                           ACMP                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief ACMP Decription (ACMP)
  */

typedef struct {                                /*!< (@ 0x4D000000) ACMP Structure                                             */
  __IOM uint32_t  C0CON0;                       /*!< (@ 0x00000000) C0CON0 Description                                         */
  __IOM uint32_t  C0CON1;                       /*!< (@ 0x00000004) C0CON1 Description                                         */
  __IOM uint32_t  C0CON2;                       /*!< (@ 0x00000008) C0CON2 Description                                         */
  __IOM uint32_t  C0ADJE;                       /*!< (@ 0x0000000C) C0ADJE Description                                         */
  __IOM uint32_t  C1CON0;                       /*!< (@ 0x00000010) C1CON0 Description                                         */
  __IOM uint32_t  C1CON1;                       /*!< (@ 0x00000014) C1CON1 Description                                         */
  __IOM uint32_t  C1CON2;                       /*!< (@ 0x00000018) C1CON2 Description                                         */
  __IOM uint32_t  C1ADJE;                       /*!< (@ 0x0000001C) C1ADJE Description                                         */
  __IOM uint32_t  CVRCON;                       /*!< (@ 0x00000020) CVRCON Description                                         */
  __IOM uint32_t  CVECON;                       /*!< (@ 0x00000024) CVECON Description                                         */
  __IOM uint32_t  IMSC;                         /*!< (@ 0x00000028) IMSC Description                                           */
  __IM  uint32_t  RIS;                          /*!< (@ 0x0000002C) RIS Description                                            */
  __IM  uint32_t  MIS;                          /*!< (@ 0x00000030) MIS Description                                            */
  __OM  uint32_t  ICLR;                         /*!< (@ 0x00000034) ICLR Description                                           */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x00000038) LOCK Description                                           */
} ACMP_Type;                                    /*!< Size = 60 (0x3c)                                                          */



/* =========================================================================================================================== */
/* ================                                            FMC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief FMC Decription (FMC)
  */

typedef struct {                                /*!< (@ 0x49800000) FMC Structure                                              */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000000) CON Description                                            */
  __IOM uint32_t  ADR;                          /*!< (@ 0x00000004) ADR Description                                            */
  __IOM uint32_t  DAT;                          /*!< (@ 0x00000008) DAT Description                                            */
  __IOM uint32_t  CMD;                          /*!< (@ 0x0000000C) CMD Description                                            */
  __IOM uint32_t  LOCK;                         /*!< (@ 0x00000010) LOCK Description                                           */
  __IM  uint32_t  RESERVED[3];
  __IOM uint32_t  CRCEA;                        /*!< (@ 0x00000020) CRCEA Description                                          */
  __IOM uint32_t  CRCIN;                        /*!< (@ 0x00000024) CRCIN Description                                          */
  __IOM uint32_t  CRCD;                         /*!< (@ 0x00000028) CRCD Description                                           */
} FMC_Type;                                     /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                            UID                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief UID Decription (UID)
  */

typedef struct {                                /*!< (@ 0x18000000) UID Structure                                              */
  __IM  uint32_t  RESERVED;
  __IM  uint32_t  UID0;                         /*!< (@ 0x00000004) UID0 Description                                           */
  __IM  uint32_t  UID1;                         /*!< (@ 0x00000008) UID1 Description                                           */
  __IM  uint32_t  UID2;                         /*!< (@ 0x0000000C) UID2 Description                                           */
} UID_Type;                                     /*!< Size = 16 (0x10)                                                          */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define SYSCON_BASE                 0x50000000UL
#define GPIO0_BASE                  0x52000000UL
#define GPIO1_BASE                  0x52800000UL
#define GPIO2_BASE                  0x53000000UL
#define GPIO3_BASE                  0x53800000UL
#define GPIO4_BASE                  0x54000000UL
#define GPIO5_BASE                  0x54800000UL
#define WDT_BASE                    0x47800000UL
#define WWDT_BASE                   0x41800000UL
#define CRC_BASE                    0x4A000000UL
#define HWDIV_BASE                  0x55000000UL
#define TIMER0_BASE                 0x46800000UL
#define TIMER1_BASE                 0x46800100UL
#define TIMER2_BASE                 0x47000000UL
#define TIMER3_BASE                 0x47000100UL
#define CCP_BASE                    0x42800000UL
#define EPWM_BASE                   0x4A800000UL
#define UART0_BASE                  0x44800000UL
#define UART1_BASE                  0x45000000UL
#define IIC0_BASE                   0x48000000UL
#define SSP0_BASE                   0x43800000UL
#define ADC0_BASE                   0x43000000UL
#define ADCB_BASE                   0x4D800000UL
#define OP0_BASE                    0x4C800000UL
#define OP1_BASE                    0x4C80000CUL
#define PGA0_BASE                   0x4C800018UL
#define PGA1_BASE                   0x4C800024UL
#define ACMP_BASE                   0x4D000000UL
#define FMC_BASE                    0x49800000UL
#define UID_BASE                    0x18000000UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define SYSCON                      ((SYSCON_Type*)            SYSCON_BASE)
#define GPIO0                       ((GPIO0_Type*)             GPIO0_BASE)
#define GPIO1                       ((GPIO0_Type*)             GPIO1_BASE)
#define GPIO2                       ((GPIO0_Type*)             GPIO2_BASE)
#define GPIO3                       ((GPIO0_Type*)             GPIO3_BASE)
#define GPIO4                       ((GPIO0_Type*)             GPIO4_BASE)
#define GPIO5                       ((GPIO0_Type*)             GPIO5_BASE)
#define WDT                         ((WDT_Type*)               WDT_BASE)
#define WWDT                        ((WWDT_Type*)              WWDT_BASE)
#define CRC                         ((CRC_Type*)               CRC_BASE)
#define HWDIV                       ((HWDIV_Type*)             HWDIV_BASE)
#define TIMER0                      ((TIMER0_Type*)            TIMER0_BASE)
#define TIMER1                      ((TIMER0_Type*)            TIMER1_BASE)
#define TIMER2                      ((TIMER0_Type*)            TIMER2_BASE)
#define TIMER3                      ((TIMER0_Type*)            TIMER3_BASE)
#define CCP                         ((CCP_Type*)               CCP_BASE)
#define EPWM                        ((EPWM_Type*)              EPWM_BASE)
#define UART0                       ((UART0_Type*)             UART0_BASE)
#define UART1                       ((UART0_Type*)             UART1_BASE)
#define IIC0                        ((IIC0_Type*)              IIC0_BASE)
#define SSP0                        ((SSP0_Type*)              SSP0_BASE)
#define ADC0                        ((ADC0_Type*)              ADC0_BASE)
#define ADCB                        ((ADCB_Type*)              ADCB_BASE)
#define OP0                         ((OP0_Type*)               OP0_BASE)
#define OP1                         ((OP0_Type*)               OP1_BASE)
#define PGA0                        ((PGA0_Type*)              PGA0_BASE)
#define PGA1                        ((PGA0_Type*)              PGA1_BASE)
#define ACMP                        ((ACMP_Type*)              ACMP_BASE)
#define FMC                         ((FMC_Type*)               FMC_BASE)
#define UID                         ((UID_Type*)               UID_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                          SYSCON                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  DID  ========================================================== */
/* =======================================================  AHBCKDIV  ======================================================== */
/* =======================================================  APBCKDIV  ======================================================== */
/* ========================================================  APBCKEN  ======================================================== */
/* ========================================================  CLKODIV  ======================================================== */
/* =========================================================  PCON  ========================================================== */
/* ========================================================  RSTCON  ========================================================= */
/* ========================================================  RSTSTAT  ======================================================== */
/* ========================================================  CLKCON  ========================================================= */
/* ========================================================  CLKSEL  ========================================================= */
/* ========================================================  CLKSTAT  ======================================================== */
/* =======================================================  APBCKSEL  ======================================================== */
/* =========================================================  IOMUX  ========================================================= */
/* =========================================================  CIDL  ========================================================== */
/* =========================================================  CIDH  ========================================================== */
/* ========================================================  LVDCON  ========================================================= */
/* =======================================================  IOP00CFG  ======================================================== */
/* =======================================================  IOP01CFG  ======================================================== */
/* =======================================================  IOP02CFG  ======================================================== */
/* =======================================================  IOP03CFG  ======================================================== */
/* =======================================================  IOP04CFG  ======================================================== */
/* =======================================================  IOP05CFG  ======================================================== */
/* =======================================================  IOP06CFG  ======================================================== */
/* =======================================================  IOP07CFG  ======================================================== */
/* =======================================================  IOP10CFG  ======================================================== */
/* =======================================================  IOP11CFG  ======================================================== */
/* =======================================================  IOP12CFG  ======================================================== */
/* =======================================================  IOP13CFG  ======================================================== */
/* =======================================================  IOP14CFG  ======================================================== */
/* =======================================================  IOP15CFG  ======================================================== */
/* =======================================================  IOP16CFG  ======================================================== */
/* =======================================================  IOP17CFG  ======================================================== */
/* =======================================================  IOP20CFG  ======================================================== */
/* =======================================================  IOP21CFG  ======================================================== */
/* =======================================================  IOP22CFG  ======================================================== */
/* =======================================================  IOP23CFG  ======================================================== */
/* =======================================================  IOP24CFG  ======================================================== */
/* =======================================================  IOP25CFG  ======================================================== */
/* =======================================================  IOP26CFG  ======================================================== */
/* =======================================================  IOP27CFG  ======================================================== */
/* =======================================================  IOP30CFG  ======================================================== */
/* =======================================================  IOP31CFG  ======================================================== */
/* =======================================================  IOP32CFG  ======================================================== */
/* =======================================================  IOP33CFG  ======================================================== */
/* =======================================================  IOP34CFG  ======================================================== */
/* =======================================================  IOP35CFG  ======================================================== */
/* =======================================================  IOP36CFG  ======================================================== */
/* =======================================================  IOP37CFG  ======================================================== */
/* =======================================================  IOP40CFG  ======================================================== */
/* =======================================================  IOP41CFG  ======================================================== */
/* =======================================================  IOP42CFG  ======================================================== */
/* =======================================================  IOP43CFG  ======================================================== */
/* =======================================================  IOP44CFG  ======================================================== */
/* =======================================================  IOP45CFG  ======================================================== */
/* =======================================================  IOP46CFG  ======================================================== */
/* =======================================================  IOP47CFG  ======================================================== */
/* =======================================================  IOP50CFG  ======================================================== */
/* =======================================================  IOP51CFG  ======================================================== */
/* =======================================================  IOP52CFG  ======================================================== */
/* =======================================================  IOP53CFG  ======================================================== */
/* =======================================================  IOP54CFG  ======================================================== */
/* =======================================================  IOP55CFG  ======================================================== */
/* =======================================================  SYS_IMSC  ======================================================== */
/* ========================================================  SYS_RIS  ======================================================== */
/* ========================================================  SYS_MIS  ======================================================== */
/* =======================================================  SYS_ICLR  ======================================================== */
/* =======================================================  HSI_TRIM  ======================================================== */
/* =======================================================  SRAMLOCK  ======================================================== */
/* =======================================================  GPIO0LOCK  ======================================================= */
/* =======================================================  GPIO1LOCK  ======================================================= */
/* =======================================================  GPIO2LOCK  ======================================================= */
/* =======================================================  GPIO3LOCK  ======================================================= */
/* =======================================================  GPIO4LOCK  ======================================================= */
/* =======================================================  GPIO5LOCK  ======================================================= */
/* =======================================================  IOCFGLOCK  ======================================================= */
/* =========================================================  UIDX  ========================================================== */
/* =========================================================  PCRCD  ========================================================= */
/* ========================================================  UUIDWC0  ======================================================== */
/* ========================================================  UUIDWC1  ======================================================== */
/* ========================================================  UUIDWC2  ======================================================== */
/* ========================================================  UUIDWCS  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           GPIO0                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  PMS  ========================================================== */
/* ==========================================================  DOM  ========================================================== */
/* ==========================================================  DO  =========================================================== */
/* ==========================================================  DI  =========================================================== */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  ITYPE  ========================================================= */
/* =========================================================  IVAL  ========================================================== */
/* =========================================================  IANY  ========================================================== */
/* =========================================================  DIDB  ========================================================== */
/* =========================================================  DOSET  ========================================================= */
/* =========================================================  DOCLR  ========================================================= */
/* ==========================================================  DR  =========================================================== */
/* ==========================================================  SR  =========================================================== */


/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  LOAD  ========================================================== */
/* ==========================================================  VAL  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  LOCK  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           WWDT                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* ==========================================================  RL  =========================================================== */
/* ==========================================================  VAL  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CRCIN  ========================================================= */
/* =========================================================  CRCD  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           HWDIV                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  DIVD  ========================================================== */
/* =========================================================  DIVS  ========================================================== */
/* =========================================================  DIVQ  ========================================================== */
/* =========================================================  DIVR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                          TIMER0                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  LOAD  ========================================================== */
/* ==========================================================  VAL  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ========================================================  BGLOAD  ========================================================= */


/* =========================================================================================================================== */
/* ================                                            CCP                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  CCPCON0  ======================================================== */
/* =======================================================  CCPLOAD0  ======================================================== */
/* ========================================================  CCPD0A  ========================================================= */
/* ========================================================  CCPD0B  ========================================================= */
/* ========================================================  CCPCON1  ======================================================== */
/* =======================================================  CCPLOAD1  ======================================================== */
/* ========================================================  CCPD1A  ========================================================= */
/* ========================================================  CCPD1B  ========================================================= */
/* ========================================================  CCPIMSC  ======================================================== */
/* ========================================================  CCPRIS  ========================================================= */
/* ========================================================  CCPMIS  ========================================================= */
/* ========================================================  CCPICLR  ======================================================== */
/* ========================================================  CCPRUN  ========================================================= */
/* ========================================================  CCPLOCK  ======================================================== */
/* ========================================================  CAPCON  ========================================================= */
/* ========================================================  CAPCHS  ========================================================= */
/* =======================================================  CAP0DAT0  ======================================================== */
/* =======================================================  CAP1DAT0  ======================================================== */
/* =======================================================  CAP2DAT0  ======================================================== */
/* =======================================================  CAP3DAT0  ======================================================== */


/* =========================================================================================================================== */
/* ================                                           EPWM                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  CLKPSC  ========================================================= */
/* ========================================================  CLKDIV  ========================================================= */
/* ==========================================================  CON  ========================================================== */
/* =========================================================  CON2  ========================================================== */
/* =========================================================  CON3  ========================================================== */
/* ========================================================  PERIOD0  ======================================================== */
/* ========================================================  PERIOD1  ======================================================== */
/* ========================================================  PERIOD2  ======================================================== */
/* ========================================================  PERIOD3  ======================================================== */
/* ========================================================  CMPDAT0  ======================================================== */
/* ========================================================  CMPDAT1  ======================================================== */
/* ========================================================  CMPDAT2  ======================================================== */
/* ========================================================  CMPDAT3  ======================================================== */
/* ========================================================  POREMAP  ======================================================== */
/* =========================================================  POEN  ========================================================== */
/* ========================================================  BRKCTL  ========================================================= */
/* =========================================================  DTCTL  ========================================================= */
/* =========================================================  MASK  ========================================================== */
/* ========================================================  MASKNXT  ======================================================== */
/* ========================================================  CMPTGD0  ======================================================== */
/* ========================================================  CMPTGD1  ======================================================== */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* ==========================================================  IFA  ========================================================== */
/* =========================================================  LOCK  ========================================================== */
/* ========================================================  BRKRDT  ========================================================= */


/* =========================================================================================================================== */
/* ================                                           UART0                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  RBR  ========================================================== */
/* ==========================================================  THR  ========================================================== */
/* ==========================================================  DLR  ========================================================== */
/* ==========================================================  IER  ========================================================== */
/* ==========================================================  IIR  ========================================================== */
/* ==========================================================  FCR  ========================================================== */
/* ==========================================================  LCR  ========================================================== */
/* ==========================================================  MCR  ========================================================== */
/* ==========================================================  LSR  ========================================================== */
/* ==========================================================  MSR  ========================================================== */
/* ==========================================================  SCR  ========================================================== */
/* ==========================================================  EFR  ========================================================== */
/* =========================================================  XON1  ========================================================== */
/* =========================================================  XON2  ========================================================== */
/* =========================================================  XOFF1  ========================================================= */
/* =========================================================  XOFF2  ========================================================= */


/* =========================================================================================================================== */
/* ================                                           IIC0                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  CONSET  ========================================================= */
/* ========================================================  CONCLR  ========================================================= */
/* =========================================================  STAT  ========================================================== */
/* ==========================================================  DAT  ========================================================== */
/* ==========================================================  CLK  ========================================================== */
/* =========================================================  ADR0  ========================================================== */
/* =========================================================  ADM0  ========================================================== */
/* =========================================================  XADR0  ========================================================= */
/* =========================================================  XADM0  ========================================================= */
/* ==========================================================  RST  ========================================================== */
/* =========================================================  ADR1  ========================================================== */
/* =========================================================  ADM1  ========================================================== */
/* =========================================================  ADR2  ========================================================== */
/* =========================================================  ADM2  ========================================================== */
/* =========================================================  ADR3  ========================================================== */
/* =========================================================  ADM3  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           SSP0                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  STAT  ========================================================== */
/* ==========================================================  DAT  ========================================================== */
/* ==========================================================  CLK  ========================================================== */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  CSCR  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           ADC0                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  CON2  ========================================================== */
/* =========================================================  HWTG  ========================================================== */
/* =========================================================  SCAN  ========================================================== */
/* =========================================================  CMP0  ========================================================== */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  LOCK  ========================================================== */
/* =========================================================  DATA0  ========================================================= */
/* =========================================================  DATA1  ========================================================= */
/* =========================================================  DATA2  ========================================================= */
/* =========================================================  DATA3  ========================================================= */
/* =========================================================  DATA4  ========================================================= */
/* =========================================================  DATA5  ========================================================= */
/* =========================================================  DATA6  ========================================================= */
/* =========================================================  DATA7  ========================================================= */
/* =========================================================  DATA8  ========================================================= */
/* =========================================================  DATA9  ========================================================= */
/* ========================================================  DATA10  ========================================================= */
/* ========================================================  DATA11  ========================================================= */
/* ========================================================  DATA12  ========================================================= */
/* ========================================================  DATA13  ========================================================= */
/* ========================================================  DATA14  ========================================================= */
/* ========================================================  DATA15  ========================================================= */
/* ========================================================  DATA16  ========================================================= */
/* ========================================================  DATA17  ========================================================= */
/* ========================================================  DATA18  ========================================================= */
/* ========================================================  DATA19  ========================================================= */


/* =========================================================================================================================== */
/* ================                                           ADCB                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* =========================================================  CON2  ========================================================== */
/* =========================================================  HWTG  ========================================================== */
/* =======================================================  PWMTGDLY  ======================================================== */
/* =========================================================  SCAN  ========================================================== */
/* =========================================================  CMP0  ========================================================== */
/* =========================================================  CMP1  ========================================================== */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  LOCK  ========================================================== */
/* ========================================================  CHEPWM  ========================================================= */
/* ========================================================  CHPTG0  ========================================================= */
/* ========================================================  CHPTG1  ========================================================= */
/* =========================================================  TEST  ========================================================== */
/* =========================================================  DATA0  ========================================================= */
/* =========================================================  DATA1  ========================================================= */
/* =========================================================  DATA2  ========================================================= */
/* =========================================================  DATA3  ========================================================= */
/* =========================================================  DATA4  ========================================================= */
/* =========================================================  DATA5  ========================================================= */
/* =========================================================  DATA6  ========================================================= */
/* =========================================================  DATA7  ========================================================= */
/* =========================================================  DATA8  ========================================================= */
/* =========================================================  DATA9  ========================================================= */
/* ========================================================  DATA10  ========================================================= */
/* ========================================================  DATA11  ========================================================= */
/* ========================================================  DATA12  ========================================================= */
/* ========================================================  DATA13  ========================================================= */
/* ========================================================  DATA14  ========================================================= */
/* ========================================================  DATA15  ========================================================= */
/* ========================================================  DATA16  ========================================================= */
/* ========================================================  DATA17  ========================================================= */
/* ========================================================  DATA18  ========================================================= */
/* ========================================================  DATA19  ========================================================= */


/* =========================================================================================================================== */
/* ================                                            OP0                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CON0  ========================================================== */
/* =========================================================  CON1  ========================================================== */
/* =========================================================  ADJE  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           PGA0                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */


/* =========================================================================================================================== */
/* ================                                           ACMP                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  C0CON0  ========================================================= */
/* ========================================================  C0CON1  ========================================================= */
/* ========================================================  C0CON2  ========================================================= */
/* ========================================================  C0ADJE  ========================================================= */
/* ========================================================  C1CON0  ========================================================= */
/* ========================================================  C1CON1  ========================================================= */
/* ========================================================  C1CON2  ========================================================= */
/* ========================================================  C1ADJE  ========================================================= */
/* ========================================================  CVRCON  ========================================================= */
/* ========================================================  CVECON  ========================================================= */
/* =========================================================  IMSC  ========================================================== */
/* ==========================================================  RIS  ========================================================== */
/* ==========================================================  MIS  ========================================================== */
/* =========================================================  ICLR  ========================================================== */
/* =========================================================  LOCK  ========================================================== */


/* =========================================================================================================================== */
/* ================                                            FMC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CON  ========================================================== */
/* ==========================================================  ADR  ========================================================== */
/* ==========================================================  DAT  ========================================================== */
/* ==========================================================  CMD  ========================================================== */
/* =========================================================  LOCK  ========================================================== */
/* =========================================================  CRCEA  ========================================================= */
/* =========================================================  CRCIN  ========================================================= */
/* =========================================================  CRCD  ========================================================== */


/* =========================================================================================================================== */
/* ================                                            UID                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  UID0  ========================================================== */
/* =========================================================  UID1  ========================================================== */
/* =========================================================  UID2  ========================================================== */

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* CMS32MEBIKE_H */


/** @} */ /* End of group CMS32MEBIKE */

/** @} */ /* End of group CMS Ltd. */
