/**
  ******************************************************************************
  * @file    Project/CMS32F030x_StdPeriph_Templates/CMS32F030x_it.c
  * @author  CMS IC Test Team
  * @version V1.0.0
  * @date    05-December-2016
  * @brief   Main Interrupt Service Routines.
  *          This file provides template for all exceptions handler and
  *          peripherals interrupt service routine.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT 2016 A menmber of CMSemicon</center></h2>
  *
  * Licensed under MCD-CMS Liberty SW License Agreement V2, (the "License");
  * You may not use this file except in compliance with the License.
  * You may obtain a copy of the License at:
  *
  *        http://www.mcu.com.cn/about.php
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "CMS32F030.h"
#include "uart.h"
#include "stdio.h"

/** @addtogroup Template_Project
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
uint8_t I2CBuff[4]={0};
uint8_t I2CBuffCur = 0;
uint8_t I2CFlag=0;
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/******************************************************************************/
/*            Cortex-M0 Processor Exceptions Handlers                         */
/******************************************************************************/

/**
  * @brief  This function handles NMI exception.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
}

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
void HardFault_Handler(void)
{

/* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
	  	

  }
}

/**
  * @brief  This function handles SVCall exception.
  * @param  None
  * @retval None
  */
void SVC_Handler(void)
{
}

/**
  * @brief  This function handles PendSVC exception.
  * @param  None
  * @retval None
  */
void PendSV_Handler(void)
{
}

/**
  * @brief  This function handles SysTick Handler.
  * @param  None
  * @retval None
  */
void SysTick_Handler(void)
{

}

/******************************************************************************/
/*                 CMS32F030x Peripherals Interrupt Handlers                   */
/*  Add here the Interrupt Handler for the used peripheral(s) (PPP), for the  */
/*  available peripheral interrupt handler's name please refer to the startup */
/*  file (startup_CMS32F030.s).                                            */
/******************************************************************************/
           
/****************************************************************************
 ** \brief	GPIO0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO0_IRQHandler(void)
{

}

/****************************************************************************
 ** \brief	GPIO1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO1_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO2_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO2_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO3_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO3_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO4_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO4_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	CP_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void CP_IRQHandler(void)
{
	
}

/****************************************************************************
 ** \brief	ADC_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void ADC_IRQHandler(void)
{
		
}
/****************************************************************************
 ** \brief	EPWM_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void EPWM_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	WWDT_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void WWDT_IRQHandler(void)
{

}
/****************************************************************************
 ** \brief	UART0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void UART0_IRQHandler(void)
{

}
/****************************************************************************
 ** \brief	UART1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void UART1_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	TIMER0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER0_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	TIMER1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER1_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	WDT_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void WDT_IRQHandler(void)
{
                       
}
/****************************************************************************
 ** \brief	I2C0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void I2C0_IRQHandler(void)
{
	if(I2C_GetITStatus(I2C0) == SET)
	{
		switch(I2C0->STAT)
		{
			case I2C_STAT_SlveAddrWRevedAck:
			{
				I2C_ITClear(I2C0);
				printf("\r\nI2C_STAT_SlveAddrWRevedAck");
			break;	
			}
						
			case I2C_STAT_SlveAddrRRevedAck :
			{
				I2CBuffCur = 0;
				I2C_SendData(I2C0,0x00);
				printf("\r\nI2C_STAT_SlveAddrRRevedAck");
				break;		
			}				
			case I2C_STAT_DataRevAftSlvAck :
			{						
				if(I2CBuffCur <4)
				{
					I2CBuff[I2CBuffCur] = I2C_ReceiveData(I2C0);
					UART_SendData(UART0,I2CBuff[I2CBuffCur]);
					I2CBuffCur++;
				}
				else
					I2CBuffCur = 0;
				printf("\r\nI2C_STAT_DataRevAftSlvAck");
				break;			
			}
						
			case I2C_STAT_DataRevAftSlvNAck :
			{
				I2CBuffCur = 0;
				I2C_ITClear(I2C0);
				printf("\r\nI2C_STAT_DataRevAftSlvNAck");
			break;			
			}						
			case I2C_STAT_DataTrsmtedSlvAck :
			{
				if(I2CBuffCur<4)
				{
		//                    I2C_SendData(I2C0,I2CBuff[I2CBuffCur++]);
					I2C_SendData(I2C0,0xa1);
				}
				else
				{
					I2CBuffCur = 0;
					I2C_ITClear(I2C0);
					while(I2C_GetITStatus(I2C0) != SET);
					I2C_ITClear(I2C0);
				}
				printf("\r\nI2C_STAT_DataTrsmtedSlvAck");
			break;			
			}
						
			case I2C_STAT_StPReStartRevInSlv :
			{
				I2C_ITClear(I2C0);
				I2CBuffCur = 0;
				printf("\r\nI2C_STAT_StPReStartRevInSlv");
				break;
			}		
			default :
			{
				I2C_GenerateSTOP(I2C0);
				printf("\r\nDefault I2C0=%X",I2C0->STAT);
			}
		}
	}
	NVIC_ClearPendingIRQ(I2C0_IRQn);
}
/****************************************************************************
 ** \brief	SSP0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SSP0_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	SYS_CLK_ERR_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SYS_CLK_ERR_IRQHandler(void)
{
	
}



/**
  * @}
  */


/************************ (C) COPYRIGHT A menmber of CMSemicon *****END OF FILE****/
