/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_spi.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_spi.h"
/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	SPI_SlaveSend
 **			
** \param [in] SendData: ͵ֵ
 ** \return  no
 ** \note	
*****************************************************************************/
void SPI_SlaveSend(uint32_t  Data)
{
	#if 0
	while(SSP_GetBusyFlag());			
	while(!SSP_GetTFEFlag());
	#endif
	SSP_SendData(Data);	
	
}

/*****************************************************************************
 ** \brief	SPI_SlaveReceive
 **			
** \param 
 ** \return  16bit ȡֵ
 ** \note	
*****************************************************************************/
uint16_t  SPI_SlaveReceive(void)
{		
	while(SSP_GetBusyFlag());	
	while(!SSP_GetRNEFlag());  // ǿSSP_GetRFFFlag
	return (SSP_GetData());		
}

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/***************************************************************************
 ** \brief	 SPI_Master_Mode
 **
 ** \param [in]  none   
 ** \return none
 ** \note
***************************************************************************/
void SPI_Slave_Init(void)
{
	/*
	(1)SSPʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_SSP_MSK);		/*SSPģʱ*/
	SSP_ConfigClk(23,4);					/*Fapb = 48Mhz,  sclk = 500Khz*/								
	/*
	(2)SSP ΪSPIģʽ
	*/							
	SSP_ConfigRunMode(SSP_FRAME_SPI,SSP_CPO_0,SSP_CPHA_0,SSP_DAT_LENGTH_16);	/*ΪSPIģʽCPHA =0, CP0 = 0(ʱӿʱΪ0),ݳ8*/																		
	/*
	(3)SPI ģʽ
	*/
	SSP_EnableSlaveMode();							  /*SPIΪslaveģʽ*/
	SSP->CON &= ~SSP_CON_SOD_Msk;					//ʹsalve
	
	SSP->CSCR |= (SSP_CSCR_SPH_Msk);			/*Slave CS ״̬һ֡ݷ*/
	/*
	(4)SPI IO
	*/

	SYS_SET_IOCFG(IOP31CFG, SYS_IOCFG_P31_SPI0MISO);
	SYS_SET_IOCFG(IOP32CFG, SYS_IOCFG_P32_SPI0MOSI);
	SYS_SET_IOCFG(IOP34CFG, SYS_IOCFG_P34_SPI0CLK);
	SYS_SET_IOCFG(IOP35CFG, SYS_IOCFG_P35_SPI0SS);

		/*
	(5)SPI
	*/		
	SSP_Start();
	
	/* ж
	*/

/**/
	SSP->IMSC = 0x07;			//enable all spi interrupt fifo  
	NVIC_SetPriority (SPI_IRQn, 2); /* set Priority for gpio Interrupt */
	NVIC_EnableIRQ(SPI_IRQn);
/**/
	
}

