/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_timer.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_timer.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
/*****************************************************************************
 ** \brief	TMR0_Period_Count_Config
 **			ʵ100msʱ
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void TMR0_Period_Count_Config(void)
{
	/*
	(1)Timer0 ʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_TIMER01_MSK);			/*Timer0/1ʱ*/
	TMR_ConfigClk(TMR0,TMR_CLK_DIV_1);		/*Timer0 ʱԴѡAPBʱ,ʱӷƵΪ 1Ƶ*/
	/*
	(2)Timer0 ģʽ
	*/	
	TMR_ConfigRunMode(TMR0,TMR_COUNT_PERIOD_MODE, TMR_BIT_32_MODE);		/*Timer0Ϊ32λڼģʽ*/
	TMR_DisableOneShotMode(TMR0);										/*رյģʽ*/
	/*
	(3)Timer0 
	*/		
	TMR_SetPeriod(TMR0,4800000);				/* 4800000*Fclk = 100ms*/
	/*
	(4)Timer0 ж
	*/	
	TMR_EnableOverflowInt(TMR0);
	NVIC_EnableIRQ(TMR0_IRQn);	
	/*
	(5)Timer0 жȼ
	*/	
	NVIC_SetPriority(TMR0_IRQn,3);	
	/*
	(5)Timer0
	*/	
	TMR_Start(TMR0);
	
	/*
	(6)P12Ϊģʽָʾʱ0 ж
	*/
	SYS_SET_IOCFG(IOP14CFG,SYS_IOCFG_P14_GPIO);				/*P12ΪGPIOģʽ*/	
	GPIO_CONFIG_IO_MODE(GPIO1,GPIO_PIN_4,GPIO_MODE_OUTPUT);	
	GPIO1->DO_f.P4 = 0;								    	/*P12͵ƽ*/			
}




























