/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_ts.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_ts.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
/*****************************************************************************
 ** \brief	TS_ADC0_Config
 **			
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void TS_ADC0_Config(void)
{
	/*
	(1)ADC0ʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ADC0_MSK);
	ADC0_ConfigRunMode(ADC0_CONVERT_CONTINUOUS,ADC0_SWITCH_SOFTWARE,ADC0_CLK_DIV_128);			/*ʹܵͨת*/
	/*
	(2)ADC0ͨʹ
	*/	
	ADC0_SelSoftwareSwitchChannel(ADC0_CH_17);		
	SYS_SET_IOCFG(IOP16CFG,SYS_IOCFG_P16_AN1_7);			/*رP16ֹ*/	
	/*
	(4)ADC0ж
	*/		
	
	//ADC0_EnableChannelInt(ADC0_CH_16_MSK);				/*AN1תж*/	
	//NVIC_EnableIRQ(ADC0_IRQn);
	/*
	(6)ȼ
	*/	
	//NVIC_SetPriority(ADC0_IRQn,2);					/*ȼ0~3 0ߡ3*/	
	/*
	(7)ADC0
	*/		
	ADC0_Start();	
}


/*****************************************************************************
 ** \brief	TS_Adjust
 **			
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void Stop(void)
{
	ADC0->LOCK = ADC0_LOCK_WRITE_KEY;
	ADC0->CON2 &= ~ADC0_CON2_ADCST_Msk;
	ADC0->LOCK = 0x00;
}
void TS_Adjust(void)
{
	volatile uint16_t Count0,Count1,Count3;
	uint16_t BG_ADCValue;
	uint16_t TS_ADCValue;	
	uint16_t adjvalue;
		
	SYS_EnableTEMP();			/*¶ȴ*/
	SYS_EnableTSVADJConfigAdjust(0x00); /*ʹܵ*/
	
	TS_ADC0_Config();
	
	for(Count0 =0; Count0<16; Count0++)
	{
		SYS_EnableTSVADJConfigAdjust(Count0); /*ʹܵ*/			
		BG_ADCValue = 0;
		TS_ADCValue = 0;
		
		for(Count1=0; Count1<16; Count1++)
		{	
			for(Count3=0;Count3<500;Count3++);
		//	ADC0_EnableChannel(ADC0_CH_16_MSK);					/*ѡAN16*/	
			ADC0_SelSoftwareSwitchChannel(ADC0_CH_16);	
			ADC0_Go();
			while(ADC0_IS_BUSY());
			BG_ADCValue += ADC0_GetResult(ADC0_CH_16);		
			
		//	Stop();
		//	ADC0_Stop();
		//	ADC0_EnableChannel(ADC0_CH_17_MSK);					/*ѡAN17*/	
			for(Count3=0;Count3<500;Count3++);
		//	ADC0_Start();
			ADC0_SelSoftwareSwitchChannel(ADC0_CH_17);	
			ADC0_Go();
			while(ADC0_IS_BUSY());
			TS_ADCValue += ADC0_GetResult(ADC0_CH_17);				
						
		}
		BG_ADCValue = BG_ADCValue >> 4;
		TS_ADCValue = TS_ADCValue >> 4;		
		
		/*1.2V * TS_ADC = 1V * BG_ADC*/
					
		if(((0.99*BG_ADCValue)<(TS_ADCValue * 1.2)) && ((1.01*BG_ADCValue)>(TS_ADCValue * 1.2)))
		{
				adjvalue  = Count0;
				break;
		}		
	}	
	SYS_EnableTSVADJConfigAdjust(adjvalue); /*ʹܵ*/		
}

/*****************************************************************************
 ** \brief	TS_GetTemperature
 **			
 ** \param [in] none
 ** \return  
 ** \note	
*****************************************************************************/
float  TS_GetTemperature(void)
{
	volatile uint16_t Count1,Count3;
	uint16_t BG_ADCValue;
	uint16_t TS_ADCValue;	
    float  TemperatureValue;	
			
	BG_ADCValue = 0;
	TS_ADCValue = 0;		
	for(Count1=0; Count1<16; Count1++)
	{	
		for(Count3=0;Count3<500;Count3++);
		ADC0_SelSoftwareSwitchChannel(ADC0_CH_16);	
		ADC0_Go();
		while(ADC0_IS_BUSY());
		BG_ADCValue += ADC0_GetResult(ADC0_CH_16);		
		
		for(Count3=0;Count3<500;Count3++);

		ADC0_SelSoftwareSwitchChannel(ADC0_CH_17);	
		ADC0_Go();
		while(ADC0_IS_BUSY());
		TS_ADCValue += ADC0_GetResult(ADC0_CH_17);				
					
	}
	BG_ADCValue = BG_ADCValue >> 4;
	TS_ADCValue = TS_ADCValue >> 4;		
		
	/*1.2V * TS_ADC = 1V * BG_ADC*/
	TemperatureValue = ((1.2 * TS_ADCValue)/BG_ADCValue	- 0.909)/TS_K;	
	return TemperatureValue;
}

