/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_adc0.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_adc0.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	ADC0_Hardware_Trigger_Mode
 **			ADC0Ӳת
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADC0_Hardware_Trigger_Mode(void)
{
	/*
	(1)ADC0ʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ADC0_MSK);
	ADC0_ConfigRunMode(ADC0_CONVERT_CONTINUOUS,ADC0_CLK_DIV_128);			/*ͨתʱ ѡӲлģʽ*/
	/*
	(2)ADC0ͨʹ
	*/	
	ADC0_EnableChannel(ADC0_CH_1_MSK | ADC0_CH_11_MSK);		/*ѡAN1  BG*/			
	SYS_SET_IOCFG(IOP01CFG,SYS_IOCFG_P01_AN1);			/*رP01ֹ*/
		
	/*
	(3)ADC0Ӳ
	*/		
	ADC0_EnableHardwareTrigger(ADC0_TG_INTNEL_TMR0);
	
	/*
	(4)ADC0ж
	*/		
	
	ADC0_EnableChannelInt(ADC0_CH_11_MSK);				/*AN16תж*/	
	NVIC_EnableIRQ(ADC0_IRQn);
	/*
	(5)ȼ
	*/	
	NVIC_SetPriority(ADC0_IRQn,3);					/*ȼ0~3 0ߡ3*/	
	/*
	(6)ADC0
	*/		
	ADC0_Start();
			
}


